#//-----------------------------------------------------------------------------
proc fnSnrSeq {pSnrSeq iCh iSnrFnc pArgs} {
	switch $iSnrFnc {
	SnrFnc_MyFnc1
		{
			puts "MyFnc1 [format {0x%X} [blob_read_half $pArgs]]"
			return 0
		}
	SnrFnc_MyFnc2
		{
			puts "MyFnc2 [format {0x%X} [blob_read_half $pArgs]]"
			return 2
		}
	}
	return 0
}
#//-----------------------------------------------------------------------------
set pSnrSeq [SnrSeq_New {{pSnrSeq iCh iSnrFnc pArgs} {fnSnrSeq $pSnrSeq $iCh $iSnrFnc $pArgs}} 4 8]
#//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
SnrSeqCh_SetTblNo $pSnrSeq 0 TBL_SnrTblNo SnrTblNo_Test
SnrSeqCh_SendTrig $pSnrSeq 0 SnrTrg_Test
#//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
for {set now 0} {$now < 30} {incr now} {
	puts "--- $now"
	SnrSeq_Exec $pSnrSeq
	if {![SnrSeq_GetStat $pSnrSeq]} {break}
}
#//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
SnrSeq_Free $pSnrSeq
